tcl_insflow.d(1m)

NAME
tcl_insflow.d - snoop Tcl execution showing procedure flow and delta times.

SYNOPSIS
tcl_insflow.d

DESCRIPTION
This traces activity from all Tcl processes on the system with DTrace provider support (tcl8.4.16). This watches Tcl method entries and returns, and indents child method calls.

OS
Any

STABILITY
Evolving - uses the DTrace Tcl provider, which may change as additional features are introduced. Check Tcl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # tcl_insflow.d

FIELDS

C   CPU-id

PID Process ID

TIME(us)
    Time since boot, us

DELTA(us)
    Elapsed time from previous line to this line

TYPE
    Type of call (proc/cmd/inst)

CALL
    Tcl command or procedure name

LEGEND

proc
    procedure

cmd command

inst
    instruction

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
tcl_insflow.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)